Skip to main content
POST
/
members
/
{user_id}
/
roles
Assign roles to a member
curl --request POST \
  --url https://{tenantDomain}/my-org/v1/members/{user_id}/roles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role_ids": [
    "rol_SO2j0sFo9NFa3F9w"
  ]
}
'

Documentation Index

Fetch the complete documentation index at: https://auth0.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

user_id
string
required

The user ID.

Pattern: ^(?=.{1,1024}$).+\|.+$

Body

application/json
role_ids
string[]
required
Required array length: 1 - 10 elements

The ID of a role that can be assigned to a member of an organization.

Pattern: ^rol_[A-Za-z0-9]{16}$

Response

Role(s) successfully assigned to member.